MagickCore: quantum-private.h File Reference

# quantum-private.h File Reference

Go to the source code of this file.

## Data Structures
struct | _QuantumState
## Typedefs
typedef struct _QuantumState | QuantumState
## Functions
static MagickRealType | ClipToQuantum (const MagickRealType value)
static void | InitializeQuantumState (const QuantumInfo *quantum_info, const EndianType endian, QuantumState *quantum_state)
static void | PopCharPixel (const unsigned char pixel, unsigned char **pixels)
static void | PopDoublePixel (const QuantumState *quantum_state, const double pixel, unsigned char **pixels)
static void | PopFloatPixel (const QuantumState *quantum_state, const float pixel, unsigned char **pixels)
static void | PopLongPixel (const QuantumState *quantum_state, const unsigned long pixel, unsigned char **pixels)
static void | PopQuantumPixel (QuantumState *quantum_state, const unsigned long depth, const unsigned long pixel, unsigned char **pixels)
static void | PopQuantumLongPixel (QuantumState *quantum_state, const unsigned long depth, const unsigned long pixel, unsigned char **pixels)
static void | PopShortPixel (const QuantumState *quantum_state, const unsigned short pixel, unsigned char **pixels)
static unsigned char | PushCharPixel (const unsigned char **pixels)
static IndexPacket | PushColormapIndex (Image *image, const unsigned long index)
static double | PushDoublePixel (const QuantumState *quantum_state, const unsigned char **pixels)
static float | PushFloatPixel (const QuantumState *quantum_state, const unsigned char **pixels)
static unsigned long | PushLongPixel (const QuantumState *quantum_state, const unsigned char **pixels)
static unsigned long | PushQuantumPixel (QuantumState *quantum_state, const unsigned long depth, const unsigned char **pixels)
static unsigned long | PushQuantumLongPixel (QuantumState *quantum_state, const unsigned long depth, const unsigned char **pixels)
static unsigned short | PushShortPixel (const QuantumState *quantum_state, const unsigned char **pixels)
static Quantum | ScaleAnyToQuantum (const QuantumAny quantum, const unsigned long depth)
static QuantumAny | ScaleQuantumToAny (const Quantum quantum, const unsigned long depth)

## Typedef Documentation

typedef struct _QuantumState QuantumState

## Function Documentation

static MagickRealType ClipToQuantum | ( | const MagickRealType | value | ) | `[inline, static]`

static void InitializeQuantumState | ( | const QuantumInfo * | quantum_info,
|  | const EndianType | endian,
|  | QuantumState * | quantum_state |
| ) |  |  | `[inline, static]`

static void PopCharPixel | ( | const unsigned char | pixel,
|  | unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static void PopDoublePixel | ( | const QuantumState * | quantum_state,
|  | const double | pixel,
|  | unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static void PopFloatPixel | ( | const QuantumState * | quantum_state,
|  | const float | pixel,
|  | unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static void PopLongPixel | ( | const QuantumState * | quantum_state,
|  | const unsigned long | pixel,
|  | unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static void PopQuantumLongPixel | ( | QuantumState * | quantum_state,
|  | const unsigned long | depth,
|  | const unsigned long | pixel,
|  | unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static void PopQuantumPixel | ( | QuantumState * | quantum_state,
|  | const unsigned long | depth,
|  | const unsigned long | pixel,
|  | unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static void PopShortPixel | ( | const QuantumState * | quantum_state,
|  | const unsigned short | pixel,
|  | unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static unsigned char PushCharPixel | ( | const unsigned char ** | pixels | ) | `[inline, static]`

static IndexPacket PushColormapIndex | ( | Image * | image,
|  | const unsigned long | index |
| ) |  |  | `[inline, static]`

static double PushDoublePixel | ( | const QuantumState * | quantum_state,
|  | const unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static float PushFloatPixel | ( | const QuantumState * | quantum_state,
|  | const unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static unsigned long PushLongPixel | ( | const QuantumState * | quantum_state,
|  | const unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static unsigned long PushQuantumLongPixel | ( | QuantumState * | quantum_state,
|  | const unsigned long | depth,
|  | const unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static unsigned long PushQuantumPixel | ( | QuantumState * | quantum_state,
|  | const unsigned long | depth,
|  | const unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static unsigned short PushShortPixel | ( | const QuantumState * | quantum_state,
|  | const unsigned char ** | pixels |
| ) |  |  | `[inline, static]`

static Quantum ScaleAnyToQuantum | ( | const QuantumAny | quantum,
|  | const unsigned long | depth |
| ) |  |  | `[inline, static]`

static QuantumAny ScaleQuantumToAny | ( | const Quantum | quantum,
|  | const unsigned long | depth |
| ) |  |  | `[inline, static]`